Subject: [secdir] Secdir review of draft-ietf-mpls-mldp-in-band-signaling-07

From: Catherine Meadows <[email-masked]>
Date: Mon, 5 Nov 2012 16:23:05 -0500

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This document describes procedures for splicing IP multicast trees, constructed by Protocol
Independent Multicast, together with multipoint Labeled Switched Paths (LSPs)  in MPLS domains in Multipoint LDP (mLDP)
these can be created.   In particular,
it describes a way of transmitting the necessary information about which end-user packets are associated with
which LSPs in the "opaque value" field of an mLDP Forwarding Equivalence Class (FEC) element.  Previously, such
information had been sent in out-of-band protocols such as  PIM and BGP. 

This document mainly concerns ways of representing the different kinds of maps between end-user packets and LSPs
in FECs.  Thus, the only security considerations are inherited from the base LDP specification, as the authors point out.
I believe that this use of mLDP FECs is  appropriate from a security point of view, because the information being transmitted is for use by mLDP.
Indeed, I would argue that reducing complexity by no longer using an out-of-band protocol improves security.

Catherine Meadows
Naval Research Laboratory
Code 5543
4555 Overlook Ave., S.W.
Washington DC, 20375
phone: 202-767-3490
fax: 202-404-7942
email: [email-masked]